- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# FbxPropertyValue Class Reference

Search for all occurrences

## Detailed Description

Definition at line 356 of file fbxpropertypage.h.

`#include <fbxpropertypage.h>`

List of all members.

## Public Member Functions
| FBXSDK_FRIEND_NEW ()
void | Destroy ()
FbxPropertyValue * | Clone (FbxPropertyPage *)
void | IncRef ()
void | DecRef ()
int | GetRef ()
bool | Get (void *pValue, EFbxType pValueType)
bool | Set (const void *pValue, EFbxType pValueType)
## Static Public Member Functions
static FbxPropertyValue * | Create (void *pData, EFbxType pType)

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

static FbxPropertyValue* Create | ( | void * | pData,
|  | EFbxType | pType
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 359 of file fbxpropertypage.h.

    { return FbxNew< FbxPropertyValue >(pData,pType); }

void Destroy | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 360 of file fbxpropertypage.h.

    { FbxDelete(this); }

FbxPropertyValue* Clone | ( | FbxPropertyPage * |  | ) | `[inline]`

Search for all occurrences

Definition at line 361 of file fbxpropertypage.h.

    { return FbxNew< FbxPropertyValue >(mValue,mType); }

void IncRef | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 363 of file fbxpropertypage.h.

    { mRef++; }

void DecRef | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 364 of file fbxpropertypage.h.

    { mRef--; if (mRef==0) FbxDelete(this); }

int GetRef | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 365 of file fbxpropertypage.h.

    { return mRef; }

bool Get | ( | void * | pValue,
|  | EFbxType | pValueType
| ) |  | `[inline]`

Search for all occurrences

Definition at line 367 of file fbxpropertypage.h.

        {
            return mValue ? FbxTypeCopy(pValue,pValueType,mValue,mType) : false;
        }

bool Set | ( | const void * | pValue,
|  | EFbxType | pValueType
| ) |  | `[inline]`

Search for all occurrences

Definition at line 371 of file fbxpropertypage.h.

        {
            return mValue ? FbxTypeCopy(mValue,mType,pValue,pValueType) : false;
        }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxpropertypage.h

FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue
FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue FbxPropertyValue